package routes

import (
	"byom-infra-api/handlers"
	"net/http"
)

var dnsHandler = handlers.NewDNSHandler()

// CreateDNSRecord forwards the request to the DNSHandler
func CreateDNSRecord(w http.ResponseWriter, r *http.Request) {
	dnsHandler.CreateDNSRecord(w, r)
}

// DeleteDNSRecord forwards the request to the DNSHandler
func DeleteDNSRecord(w http.ResponseWriter, r *http.Request) {
	dnsHandler.DeleteDNSRecord(w, r)
}

// ListDNSRecords forwards the request to the DNSHandler
func ListDNSRecords(w http.ResponseWriter, r *http.Request) {
	dnsHandler.ListDNSRecords(w, r)
}
